Survey banner
Share your feedback on the Dataiku documentation with this 5 min survey. Thanks! TAKE THE SURVEY

Dataku 12: Do Streamlit Code Studios only support Streamlit versions compatible with Python 3.7?

Solved!
info-rchitect
Level 6
Dataku 12: Do Streamlit Code Studios only support Streamlit versions compatible with Python 3.7?

Hi,

I checked out our default Streamlit Code Studio template and see this on 12.1:

dataiku_12p1_streamlit_code_studio.png

If so, this is a non-starter for us.  We have to be able to use Python 3.8 and above.  Streamlit itself even says they do not support Python 3.7.

From the link:

Streamlit currently supports versions 3.8, 3.9, 3.10, and 3.11 of Python.

I hope this is just a misunderstanding of the Code Studio template between me and my Dataiku admins.


Operating system used: Windows 10

1 Solution
SarinaS
Dataiker

Hi @info-rchitect,

If you don't want to use the built-in dedicated code environment, you can simply toggle the "Code env mode" from "Generate a dedicated code env" (where the code env will be generated automatically for you) to "Use an added code env to this template":

Screenshot 2023-09-15 at 1.43.21 PM.png

Then you can simply point to your Python 3.8 or Python 3.8 code environment. You'll also need an "Add code environment" block that adds your code environment to the template as well. 

Please note that you will need to make sure to add the streamlit package in your Python 3.8 or 3.9 code environment list of packages to install.

I hope that helps! 

Thank you,
Sarina 

View solution in original post

1 Reply
SarinaS
Dataiker

Hi @info-rchitect,

If you don't want to use the built-in dedicated code environment, you can simply toggle the "Code env mode" from "Generate a dedicated code env" (where the code env will be generated automatically for you) to "Use an added code env to this template":

Screenshot 2023-09-15 at 1.43.21 PM.png

Then you can simply point to your Python 3.8 or Python 3.8 code environment. You'll also need an "Add code environment" block that adds your code environment to the template as well. 

Please note that you will need to make sure to add the streamlit package in your Python 3.8 or 3.9 code environment list of packages to install.

I hope that helps! 

Thank you,
Sarina 

Labels

?
Labels (3)

Setup info

?
A banner prompting to get Dataiku